Summary:        A Python module for controlling interactive programs in a pseudo-terminal
Name:           python-pexpect
Version:        4.9
Release:        1%{?dist}
License:        ISC
URL:            https://github.com/pexpect/pexpect
Source0:        %{url}/archive/%{version}/pexpect-%{version}.tar.gz

BuildRequires:  /usr/bin/man zsh
BuildRequires:  openssl
BuildRequires:  python-unversioned-command

BuildArch:      noarch

%description
Pexpect is a Pure Python Expect-like module for spawning child processes and
controlling them automatically. Pexpect can be used to automate interactive
applications such as SSH, FTP, password, telnet, etc. Pexpect works by spawning
child processes and responding to expected patterns.

%package -n python3-pexpect
Summary:        A Python module for controlling interactive programs in a pseudo-terminal
BuildRequires:  python3-devel python3-setuptools python3-pytest python3-ptyprocess
Requires:       python3-ptyprocess

%description -n python3-pexpect
Pexpect is a Pure Python Expect-like module for spawning child processes and
controlling them automatically. Pexpect can be used to automate interactive
applications such as SSH, FTP, password, telnet, etc. Pexpect works by spawning
child processes and responding to expected patterns.

%prep
%setup -q -n pexpect-%{version}

%if "%{python3_version}" >= "3.11"
%autopatch -p1
%endif

%build
%py3_build

%install
%py3_install
rm -rf %{buildroot}%{python3_sitelib}/pexpect/tests

%check
export PYTHONIOENCODING=UTF-8
# upstream: https://github.com/pexpect/pexpect/issues/669
echo "set enable-bracketed-paste off" > .inputrc
export INPUTRC=$PWD/.inputrc

%{__python3} ./tools/display-sighandlers.py
%{__python3} ./tools/display-terminalinfo.py
TRAVIS=true py.test-3 --verbose

%files -n python3-pexpect
%license LICENSE
%doc doc examples
%{python3_sitelib}/pexpect/
%{python3_sitelib}/pexpect-*.egg-info

%changelog
* Thu Dec 21 2023 Upgrade Robot <upbot@opencloudos.org> - 4.9.0-1
- Upgrade to version 4.9.0

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.8.0-6
- Rebuilt for python 3.11

* Thu Sep 14 2023 Wang Guodong <gordonwwang@tencent.com> - 4.8.0-5
- Replace asyncio.coroutine to fix python3.11 support

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.8.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.8.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.8.0-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Jul 29 2022 ZoeDong <zoedong@tencent.com> - 4.8.0-1
- Initial build

